Auth
POST /auth/external/exchange
Exchange an external one-time code for a Fanfare consumer session (browser)
POST
/
auth
/
external
/
exchange
cURL
curl --request POST \
--url https://consumer.fanfare.io/api/auth/external/exchange \
--header 'Content-Type: application/json' \
--data '
{
"exchangeCode": "<string>"
}
'const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({exchangeCode: '<string>'})
};
fetch('https://consumer.fanfare.io/api/auth/external/exchange', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://consumer.fanfare.io/api/auth/external/exchange"
payload = { "exchangeCode": "<string>" }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://consumer.fanfare.io/api/auth/external/exchange"
payload := strings.NewReader("{\n \"exchangeCode\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"accessToken": "<string>",
"beaconToken": "<string>",
"refreshToken": "<string>",
"refreshTokenTtlSeconds": 123,
"session": {
"consumerId": "<string>",
"expiresAt": "<string>",
"type": "guest",
"email": "<string>",
"phone": "<string>"
}
}{
"error": "validation_error",
"issues": [
{
"expected": "<string>",
"kind": "<string>",
"message": "<string>",
"path": [
{
"input": "<unknown>",
"key": "<string>",
"origin": "<string>",
"type": "<string>"
}
],
"received": "<string>",
"type": "<string>"
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}⌘I
cURL
curl --request POST \
--url https://consumer.fanfare.io/api/auth/external/exchange \
--header 'Content-Type: application/json' \
--data '
{
"exchangeCode": "<string>"
}
'const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({exchangeCode: '<string>'})
};
fetch('https://consumer.fanfare.io/api/auth/external/exchange', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://consumer.fanfare.io/api/auth/external/exchange"
payload = { "exchangeCode": "<string>" }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://consumer.fanfare.io/api/auth/external/exchange"
payload := strings.NewReader("{\n \"exchangeCode\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"accessToken": "<string>",
"beaconToken": "<string>",
"refreshToken": "<string>",
"refreshTokenTtlSeconds": 123,
"session": {
"consumerId": "<string>",
"expiresAt": "<string>",
"type": "guest",
"email": "<string>",
"phone": "<string>"
}
}{
"error": "validation_error",
"issues": [
{
"expected": "<string>",
"kind": "<string>",
"message": "<string>",
"path": [
{
"input": "<unknown>",
"key": "<string>",
"origin": "<string>",
"type": "<string>"
}
],
"received": "<string>",
"type": "<string>"
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}